DataBolsa docs
Referência da APIDados de mercadoOpções

Cadeia de opções vigente de um subjacente

Séries vivas (não vencidas) que negociaram; filtre por `expiry`/`type`.

GET
/v1/options/{ticker}/chain
AuthorizationBearer <token>

In: header

Path Parameters

tickerstring
Match^[A-Z][A-Z0-9]{3}[0-9]{0,2}$

Query Parameters

expiry?string

Filtra a cadeia por vencimento (YYYY-MM-DD). Ver listOptionExpiries.

Match^\d{4}-\d{2}-\d{2}$
type?string

Filtra por tipo: call ou put.

Value in"call" | "put"

Response Body

curl -X GET "https://api.databolsa.com/v1/options/string/chain?expiry=string&type=call"
{
  "underlying_ticker": "string",
  "date": "string",
  "count": 0,
  "options": [
    {
      "option_ticker": "string",
      "underlying_ticker": "string",
      "underlying_root": "string",
      "option_type": "string",
      "strike": 0,
      "expiry": "string",
      "date": "string",
      "last": 0,
      "volume_brl": 0,
      "trades": 0,
      "underlying_spot": 0,
      "days_to_expiry": 0,
      "moneyness": 0,
      "intrinsic": 0,
      "time_value": 0,
      "iv": 0,
      "delta": 0,
      "gamma": 0,
      "vega": 0,
      "theta": 0,
      "iv_amer": 0,
      "delta_amer": 0,
      "gamma_amer": 0,
      "vega_amer": 0,
      "theta_amer": 0,
      "early_ex_premium": 0
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}